Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I'm trying to update a plugin for quodlibet. I fetched a .patch file from here.

I navigate into the directory where the plugin is placed

/usr/share/pyshared/quodlibet/plugins/events

and copy in the .patch file. Then I run the command

sudo patch -b notify.py new-notify-plugin.patch

which gives me

patching file notify.py Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file notify.py.rej

The .rej file contains the whole content of the .patch file, just the first three lines changed to

--- notify.py
+++ notify.py

What I am doing wrong in this case?

share|improve this question

1 Answer 1

up vote 2 down vote accepted

You don't have the same version of notify.py that the patch was written for, and the differences between the file you have and the file the patch expected are too great for patch to figure out how to apply the patch to your version.

share|improve this answer
    
could it work if I try to override some special parts in notify.py manually? –  32bitfloat Mar 5 '13 at 19:34
3  
@32bitfloat, frankly, if you have to ask the question, the odds of you successfully manually applying the patch are pretty low. I see the patch was already merged; it'd probably be easier to upgrade to a version that already has that feature. –  cjm Mar 5 '13 at 19:41
    
alright, many thanks! –  32bitfloat Mar 5 '13 at 19:55

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.